org.apache.lucene.luke.models.analysis

## Class Analysis.NamedObject

- java.lang.Object
- - org.apache.lucene.luke.models.analysis.Analysis.NamedObject

Direct Known Subclasses:
  Analysis.CharfilteredText, Analysis.NamedTokens

Enclosing interface:
  Analysis

    public abstract static class Analysis.NamedObject
    extends Object

Base class for named object

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public String getName()